Bug 132396 - "Latin" unit LE in gimlet despite Removed
"Latin" unit LE in gimlet despite Removed
Product: Fedora
Classification: Fedora
Component: iiimf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
Blocks: IIIMF FC4Target
  Show dependency treegraph
Reported: 2004-09-12 07:53 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: iiimf-12.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-23 03:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-09-12 07:53:55 EDT
Description of problem:
When running htt_server within valgrind for debugging purposes, unit
LE takes over gimlet in annoying ways even if it is not "Added".  This
does not seem to be an issue when running htt_server normally on i386,
but I suspect this is one of the several ways in which valgrind is
exposing a memory usage problem that bite us on other architectures.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install all LE's.
2. Be sure that unit is removed from the active LE's.
3. service iiim stop
4. valgrind --log-file=htt_server --tool=memcheck --leak-check=yes
htt_server -d
5. Hit hotkey activator within any application. 

Actual Results:
gimlet says "Latin".  When you left-click on gimlet, Latin(C) is
listed, with right arrow option "unitle".

Expected Results:
"Latin" should not even be in the menu.
Comment 1 Warren Togami 2004-09-12 08:04:20 EDT
i386 MALLOC_CHECK_=3 htt_server -d exhibits similar bad behavior with
Comment 2 Warren Togami 2004-09-12 20:39:44 EDT
Hmm, I'm not exactly sure why, but this problem seems to exhibit
itself when not running htt_server within valgrind too.  mmm...
Comment 3 Jens Petersen 2004-09-29 23:54:44 EDT
Do you think see this with the latest builds?
Comment 4 Lawrence Lim 2004-09-30 02:57:50 EDT
Tested with im-sdk-12.0.1-9.svn1936 and Latin still shows after all LE
including Latin is removed. Please let me know if you require a
Comment 5 Jens Petersen 2004-10-04 22:56:51 EDT
Warren, this is with en_US.UTF-8?
Comment 6 Warren Togami 2004-10-25 10:57:23 EDT
Comment 7 Jens Petersen 2005-05-16 10:41:20 EDT
I can't reproduce this with iiimf-12.2 anyway.
Comment 8 Lawrence Lim 2005-05-23 02:26:18 EDT
I still can reproduce this bug with iiimf-12.2-3.

Steps to reproduce:
1. install 'everything' of iiimf-12.2-3
2. start gnome-terminal
3. remove all LE in GIMLET
4. in gnome-terminal, service iiim restart
5. ctrl-space

Actual Result:
Latin is activated

Expected Result:
Nothing or LE for my locale (zh_TW) activated

Comment 9 Lawrence Lim 2005-05-23 03:08:37 EDT
After reading through again, noticed that this bug has been fixed. GIMLET is not
empty when all LE has been removed. Will createa new bug for Comment #8.


Note You need to log in before you can comment on or make changes to this bug.